/*
 * io.h - Input/Output
 *
 * Written 2002,2003 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef IO_H
#define IO_H

void in_open(const char *name); /* NULL for stdin */
const void *in_read(int size);
const void *in_read_n(int size); /* return NULL if we can't read n bytes */
void in_skip(int size);
int in_eof(void);
void in_return(const void *data,int size);
void in_free(const void *data);
void io_cleanup(void);

#endif /* IO_H */
