/*
 * dwarfx.h - Extraction and use of DWARF information
 *
 * Written 2002,2003 by Werner Almesberger, Caltech Netlab FAST project
 */

/*
 * This is the master include file that provides all declarations. Applications
 * using libdwarfx should only include dwarfx.h, not the per-component header
 * files.
 */

#ifndef DWARFX_H
#define DWARFX_H

#include "dwarf.h"
#include "dwxloc.h"
#include "dwxtype.h"
#include "dwxobj.h"
#include "dwxout.h"

#endif /* DWARFX_H */
