/*
 * dwxloc.h - Location expressions
 *
 * Written 2002,2003 by Werner Almesberger, Caltech Netlab FAST project
 */


#ifndef DWXLOC_H
#define DWXLOC_H

#include <inttypes.h>


struct dwx_loc {
    uint32_t start;
    uint32_t end; /* first address past last byte */
    const void *expr;
    int length;
    const struct dwx_loc *next;
};


unsigned long dwx_loc_comp(const void *expr,int length,unsigned long base);

unsigned long dwx_loc_here(const struct dwx_loc *list,unsigned long addr);

const struct dwx_loc *dwx_loc_list(enum DW_FORM form,const void *pos);

#endif /* DWXLOC_H */
