/*
 * util.h - Utility functions
 *
 * Written 2002 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef UTIL_H
#define UTIL_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>


#define stralloc(s) ({ char *tmp = strdup(s); \
    if (!tmp) { perror("strdup"); exit(1); }; tmp; })

#define alloc(size) ({ void *tmp = malloc(size); \
    if (!tmp) { perror("malloc"); exit(1); }; tmp; })

#define alloc_t(t) ((t *) alloc(sizeof(t)))

#endif /* UTIL_H */
